package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington {

    private ArrayList<Student> students = new ArrayList<>();

    public void enroll(Student student) {
        this.students.add(student);
    }

    public Boolean isEnrolled(Student student) {
        return this.students.contains(student);
    }

    public void lecture(double numberOfHours) {
        for(Student i : students){
            i.learn(numberOfHours);
        }
    }

    public Map<Student, Double> getStudyMap() {

        Map<Student, Double> map = new HashMap<>();

        for(Student i : students){
            map.put(i, i.getTotalStudyTime());
        }
        return map;
    }
}
