package rocks.zipcode.io.quiz4.generics;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * @author leon on 18/12/2018.
 */

public class Group<_> implements GroupInterface<_>{

    private ArrayList<_> group = new ArrayList<>();

    public Group() {

    }

    public ArrayList<_> getGroup() {
        return group;
    }

    public Integer count() {
        return group.size();
    }

    public void insert(_ value) {
        group.add(value);
    }

    public Boolean has(_ value) {
        return group.contains(value);
    }

    public _ fetch(int indexOfValue) {
        return group.get(indexOfValue);
    }

    public void delete(_ value) {
        group.remove(value);
    }

    public void clear() {
        group.clear();
    }

    public Iterator<_> iterator() {
        return group.iterator();
    }

    public String toString(){
        String output = "[";
        for(_ i : group){
            output = output + i + ", ";
        }
        output = output.substring(0, output.length()- 2) + "]";

        return output;
    }
}
