package rocks.zipcode.io.quiz4.collections;

import java.util.Arrays;
import java.util.Set;
import java.util.TreeSet;

/**
 * @author leon on 11/12/2018.
 */
public class ComparableTreeSet<_> extends TreeSet implements Comparable {

    TreeSet thisTree = this;

    public ComparableTreeSet(_... arr) {
        addAll(Arrays.asList(arr));
    }

    public ComparableTreeSet() {

    }

    public int compareTo(ComparableTreeSet<_> o) {
        return thisTree.first().toString().compareTo(o.first().toString());
    }

    public String toString(){
        String output = "[";
        for(Object i : thisTree){
            output = output + i + ", ";
        }

        output = output.substring(0, output.length() - 2) + "]";
        return output;
    }

    @Override
    public int compareTo(Object o) {
        return 0;
    }
}